Update workspace
PATCH
/partners/workspaceUpdates workspace settings. Currently `cutoverDate` only.
HMAC signature + Bearer access token
Try this requestRequest body
cutoverDatedaterequiredYYYY-MM-DD cutover date.
Responses
200Workspace updated.400Missing/invalid cutoverDate, or cutover move rejected by guards.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. TroubleshootPATCH
https://api.getcount.com/partners/workspaceRequest
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'PATCH';
const signingPath = '/workspace';
const timestamp = Math.floor(Date.now() / 1000).toString();
const body = {
"cutoverDate": "2026-03-01"
};
const bodyString = JSON.stringify(body);
const bodyHash = crypto.createHash('sha256').update(bodyString).digest('hex');
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/workspace`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
'Content-Type': 'application/json',
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
body: bodyString,
});
console.log(await response.json());Response · 200
{
"status": "success",
"message": "Workspace cutover date updated successfully.",
"data": {
"workspace": {
"cutoverDate": "2026-03-01"
}
}
}